package com.qmth.distributed.print.business.bean.result.report.studentRequirement;

public class CourseTargetRequirement {

    private Long subRequirementId;
    private String subRequirementName;
    private Integer subRequirementSortNum;
    // 指标点权重
    private Double scale;
    private Long requirementId;
    private String requirementName;
    private Integer requirementSortNum;
    private Double courseTargetDegree;

    public CourseTargetRequirement() {
    }

    public CourseTargetRequirement(Long subRequirementId, String subRequirementName, Integer subRequirementSortNum, Long requirementId, String requirementName, Integer requirementSortNum, Double scale) {
        this.subRequirementId = subRequirementId;
        this.subRequirementName = subRequirementName;
        this.subRequirementSortNum = subRequirementSortNum;
        this.requirementId = requirementId;
        this.requirementName = requirementName;
        this.requirementSortNum = requirementSortNum;
        this.scale = scale;
    }

    public Long getSubRequirementId() {
        return subRequirementId;
    }

    public void setSubRequirementId(Long subRequirementId) {
        this.subRequirementId = subRequirementId;
    }

    public String getSubRequirementName() {
        return subRequirementName;
    }

    public void setSubRequirementName(String subRequirementName) {
        this.subRequirementName = subRequirementName;
    }

    public Integer getSubRequirementSortNum() {
        return subRequirementSortNum;
    }

    public void setSubRequirementSortNum(Integer subRequirementSortNum) {
        this.subRequirementSortNum = subRequirementSortNum;
    }

    public Double getScale() {
        return scale;
    }

    public void setScale(Double scale) {
        this.scale = scale;
    }

    public Long getRequirementId() {
        return requirementId;
    }

    public void setRequirementId(Long requirementId) {
        this.requirementId = requirementId;
    }

    public String getRequirementName() {
        return requirementName;
    }

    public void setRequirementName(String requirementName) {
        this.requirementName = requirementName;
    }

    public Integer getRequirementSortNum() {
        return requirementSortNum;
    }

    public void setRequirementSortNum(Integer requirementSortNum) {
        this.requirementSortNum = requirementSortNum;
    }

    public Double getCourseTargetDegree() {
        return courseTargetDegree;
    }

    public void setCourseTargetDegree(Double courseTargetDegree) {
        this.courseTargetDegree = courseTargetDegree;
    }
}
